<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>C-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="index: C">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><a href="../org/vtokarev/domain/BookingStatus.html#CANCELLED" class="member-name-link">CANCELLED</a> - Enum constant in enum class org.vtokarev.domain.<a href="../org/vtokarev/domain/BookingStatus.html" title="enum class in org.vtokarev.domain">BookingStatus</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequestStatus.html#CANCELLED" class="member-name-link">CANCELLED</a> - Enum constant in enum class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequestStatus.html" title="enum class in org.vtokarev.domain">RoomRequestStatus</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/filters/CharsetFilter.html" class="type-name-link" title="class in org.vtokarev.filters">CharsetFilter</a> - Class in <a href="../org/vtokarev/filters/package-summary.html">org.vtokarev.filters</a></dt>
<dd>
<div class="block">The <code>AuthenticationFilter</code> is a class that implements <code>Filter</code> interface.</div>
</dd>
<dt><a href="../org/vtokarev/filters/CharsetFilter.html#%3Cinit%3E()" class="member-name-link">CharsetFilter()</a> - Constructor for class org.vtokarev.filters.<a href="../org/vtokarev/filters/CharsetFilter.html" title="class in org.vtokarev.filters">CharsetFilter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/BaseDaoImpl.html#close(java.lang.AutoCloseable)" class="member-name-link">close(AutoCloseable)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BaseDaoImpl.html" title="class in org.vtokarev.dao.mysql">BaseDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/listeners/ContextListener.html#contextDestroyed(javax.servlet.ServletContextEvent)" class="member-name-link">contextDestroyed(ServletContextEvent)</a> - Method in class org.vtokarev.listeners.<a href="../org/vtokarev/listeners/ContextListener.html" title="class in org.vtokarev.listeners">ContextListener</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/listeners/ContextListener.html#contextInitialized(javax.servlet.ServletContextEvent)" class="member-name-link">contextInitialized(ServletContextEvent)</a> - Method in class org.vtokarev.listeners.<a href="../org/vtokarev/listeners/ContextListener.html" title="class in org.vtokarev.listeners">ContextListener</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/listeners/ContextListener.html" class="type-name-link" title="class in org.vtokarev.listeners">ContextListener</a> - Class in <a href="../org/vtokarev/listeners/package-summary.html">org.vtokarev.listeners</a></dt>
<dd>
<div class="block">The <code>ContextListener</code> is a class that implements <code>ServletContextListener</code> interface.</div>
</dd>
<dt><a href="../org/vtokarev/listeners/ContextListener.html#%3Cinit%3E()" class="member-name-link">ContextListener()</a> - Constructor for class org.vtokarev.listeners.<a href="../org/vtokarev/listeners/ContextListener.html" title="class in org.vtokarev.listeners">ContextListener</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/filters/CookieLocaleFilter.html" class="type-name-link" title="class in org.vtokarev.filters">CookieLocaleFilter</a> - Class in <a href="../org/vtokarev/filters/package-summary.html">org.vtokarev.filters</a></dt>
<dd>
<div class="block">The <code>AuthenticationFilter</code> is a class that implements <code>Filter</code> interface.</div>
</dd>
<dt><a href="../org/vtokarev/filters/CookieLocaleFilter.html#%3Cinit%3E()" class="member-name-link">CookieLocaleFilter()</a> - Constructor for class org.vtokarev.filters.<a href="../org/vtokarev/filters/CookieLocaleFilter.html" title="class in org.vtokarev.filters">CookieLocaleFilter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html#create(org.vtokarev.domain.Booking)" class="member-name-link">create(Booking)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html#create(org.vtokarev.domain.Booking,java.sql.Connection)" class="member-name-link">create(Booking, Connection)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#create(org.vtokarev.domain.Room)" class="member-name-link">create(Room)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#create(org.vtokarev.domain.Room)" class="member-name-link">create(Room)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html#create(org.vtokarev.domain.RoomClass)" class="member-name-link">create(RoomClass)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomClassDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html#create(org.vtokarev.domain.RoomRequest)" class="member-name-link">create(RoomRequest)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomRequestService.html#create(org.vtokarev.domain.RoomRequest)" class="member-name-link">create(RoomRequest)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomRequestService.html" title="class in org.vtokarev.service">RoomRequestService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/UserDaoImpl.html#create(org.vtokarev.domain.User)" class="member-name-link">create(User)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/UserDaoImpl.html" title="class in org.vtokarev.dao.mysql">UserDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/UserService.html#create(org.vtokarev.domain.User)" class="member-name-link">create(User)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/GenericDao.html#create(T)" class="member-name-link">create(T)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/CreateRequestServlet.html" class="type-name-link" title="class in org.vtokarev.controller">CreateRequestServlet</a> - Class in <a href="../org/vtokarev/controller/package-summary.html">org.vtokarev.controller</a></dt>
<dd>
<div class="block">The <code>CreateRequestServlet</code> class implements <code>doGet</code> method that processes GET <code>createRequest</code> requests generated by users with GUEST role.</div>
</dd>
<dt><a href="../org/vtokarev/controller/CreateRequestServlet.html#%3Cinit%3E()" class="member-name-link">CreateRequestServlet()</a> - Constructor for class org.vtokarev.controller.<a href="../org/vtokarev/controller/CreateRequestServlet.html" title="class in org.vtokarev.controller">CreateRequestServlet</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
